; o GCBE
; o U/K, MI
; o (c) Indy, 2011.
;
	include Graph.inc
	
%GPCALL macro Service
	mov eax,Service
	Call GCBE
endm

; GP Services.
;
GP_LDE	equ 0	; ULONG (*PGCBE)(IN PVOID Ip);
GP_PFX	equ 1	; -

GP_PARSE	equ 2

; Flags
GCBE_PARSE_DISCLOSURE	equ 000001B	;  ,  NL.
GCBE_PARSE_SEPARATE		equ 000010B	;     .
GCBE_PARSE_MAKELIST		equ 000100B	;     .       .
GCBE_PARSE_CROSSBREAK	equ 001000B	;   (    )  .
GCBE_PARSE_OPENLIST		equ 010000B	;       CALL_HEADER,    ,    .
GCBE_PARSE_IPCOUNTING	equ 100000B	;     .   ,   IpCount  (  ).

; * GCBE_PARSE_CROSSBREAK  GCBE_PARSE_IPCOUNTING    ,      .

; NL
GCBE_PARSE_NL_UNLIMITED	equ -1

comment '
typedef NTSTATUS (*PPARSE_CALLBACK_ROUTINE)(
   IN PVOID *Graph,		//   .
   IN PVOID GraphEntry,	//    .
   IN PVOID SubsList,	//       .
   IN ULONG SubsCount,	//       (NL).
   IN BOOLEAN PreOrPost,	//  .
   IN PVOID Context
   );

 o    (EOL).
 o      : SubsList[0].BranchLink.
 o     .         .
 o     .        .
 o        ,      .

typedef PVOID (*PSEARCH_CALLBACK_ROUTINE)(
   IN PVOID Address,
   IN PVOID Context,
   IN BOOLEAN FirstSearch
   );

typedef NTSTATUS (*PENTRY)(
  IN PVOID Entry,
  IN OUT PVOID *Graph,
  IN ULONG ParseFlags,
  IN ULONG NestingLevel,
  IN PVOID LastIp OPTIONAL,
  IN PPARSE_CALLBACK_ROUTINE ParseCallbackRoutine OPTIONAL,
  IN PVOID ParseCallbackParameter,
  IN PSEARCH_CALLBACK_ROUTINE SearchCallbackRoutine OPTIONAL,
  IN PVOID SearchCallbackParameter
  );
  '

GP_TRACE	equ 3

comment '
typedef NTSTATUS (*PTRACE_CALLBACK_ROUTINE)(
    IN PVOID GpEntry,
    IN PVOID CallbackParameter
    );

typedef NTSTATUS (*PGCBE)(
  IN PVOID Graph,
  IN PTRACE_CALLBACK_ROUTINE CallbackRoutine,
  IN PVOID CallbackParameter
  );
  
 o      , 
     STATUS_SUCCESS.      
       ACCESSED_MASK_FLAG  
       ,   
     .
  '
  
STACK_FRAME struct
Next		PVOID ?	; PSTACK_FRAME
Ip		PVOID ?
STACK_FRAME ends
PSTACK_FRAME typedef ptr STACK_FRAME

GP_CALLER struct
GpEntry		PVOID ?	; 1st
Frame		PSTACK_FRAME ?
SFN			ULONG ?
GP_CALLER ends
PGP_CALLER typedef ptr GP_CALLER

GP_SNAPSHOT struct
Ip		PVOID ?	;   .
GpBase	PVOID ?	;     .
GpLimit	PVOID ?	;  ( + GpBase).
GP_SNAPSHOT ends
PGP_SNAPSHOT typedef ptr GP_SNAPSHOT

GP_FAST_CHECK_IP_BELONG_TO_SNAPSHOT	equ 4
GP_CHECK_IP_BELONG_TO_SNAPSHOT		equ 5

comment '  
typedef NTSTATUS (*PGCBE)(
  IN PGP_SNAPSHOT Snapshot,
  IN PVOID Ip,
  OUT PVOID GraphEntry
  );
  '

GP_FIND_CALLER_BELONG_TO_SNAPSHOT		equ 6

KernelMode	equ 0
UserMode		equ 1

comment '  
typedef NTSTATUS (*PGCBE)(
  IN PGP_SNAPSHOT Snapshot,
  IN PSTACK_FRAME Sfc,
  IN ULONG Mode,
  OUT PGP_CALLER Caller
  );

 o Mode  ,   KernelMode,   
    (-  -)   ISR.
  '
 
GP_SEARCH_ROUTINE_ENTRY				equ 7

comment '
typedef PVOID (*PSEARCH_HEAD_CALLBACK)(
   IN PSNAPSHOT_INFORMATION SnapshotInformation,
   IN PVOID GraphEntryForSearch,
   IN PVOID GraphEntryForCheck
   );
   
typedef NTSTATUS (*PGCBE)(
   IN PGP_SNAPSHOT Snapshot,
   IN PVOID Gp OPTIONAL,
   IN PVOID Ip,
   IN ULONG NestingLevel,
   IN PSEARCH_HEAD_CALLBACK SearchCallback OPTIONAL,
   IN PVOID SearchCallbackParameter,
   OUT PCALL_HEADER GraphEntry
   );
   '

GP_QUERY_ROUTINE_ARGS_NUMBER			equ 8

comment '
typedef NTSTATUS (*PGCBE)(
   IN PVOID Graph,
   OUT PULONG ArgsCount
   );
   '

GP_BUILD_GRAPH						equ 9

comment '
typedef NTSTATUS (*PGCBE)(
   IN PVOID GpBase,
   IN PVOID GpLimit,
   IN PVOID CsBase,
   IN PVOID BuildBuffer
   );
   '

GCBE::
; ~~~~~~~~~~~~~~~~~~ Autogenerated dump ~~~~~~~~~~~~~~~~~~~~~
DB 085H, 0C0H, 00FH, 084H, 04EH, 004H, 000H, 000H, 048H, 00FH
DB 084H, 0F7H, 001H, 000H, 000H, 048H, 00FH, 084H, 09DH, 005H
DB 000H, 000H, 048H, 00FH, 084H, 077H, 009H, 000H, 000H, 048H
DB 00FH, 084H, 080H, 00AH, 000H, 000H, 048H, 00FH, 084H, 083H
DB 00BH, 000H, 000H, 048H, 00FH, 084H, 0CFH, 00AH, 000H, 000H
DB 048H, 00FH, 084H, 0FAH, 00BH, 000H, 000H, 048H, 00FH, 084H
DB 024H, 00DH, 000H, 000H, 048H, 00FH, 084H, 092H, 015H, 000H
DB 000H, 0B8H, 00DH, 000H, 000H, 0C0H, 0C3H, 058H, 0C3H, 059H
DB 055H, 050H, 0E8H, 020H, 000H, 000H, 000H, 050H, 064H, 0FFH
DB 035H, 000H, 000H, 000H, 000H, 064H, 089H, 025H, 000H, 000H
DB 000H, 000H, 0FFH, 0E1H, 059H, 064H, 08FH, 005H, 000H, 000H
DB 000H, 000H, 08DH, 064H, 024H, 008H, 05DH, 0FFH, 0E1H, 0E8H
DB 0D1H, 0FFH, 0FFH, 0FFH, 08BH, 044H, 024H, 004H, 08BH, 04CH
DB 024H, 00CH, 08BH, 014H, 024H, 08BH, 099H, 0A4H, 000H, 000H
DB 000H, 08BH, 0B1H, 0A0H, 000H, 000H, 000H, 08BH, 0B9H, 09CH
DB 000H, 000H, 000H, 08BH, 064H, 024H, 008H, 08BH, 048H, 00CH
DB 08BH, 000H, 08BH, 06CH, 024H, 00CH, 0FFH, 064H, 024H, 008H
DB 060H, 068H, 010H, 015H, 000H, 000H, 068H, 0FFH, 001H, 001H
DB 010H, 068H, 055H, 0FFH, 0FFH, 0FFH, 06AH, 0F8H, 068H, 0A0H
DB 07FH, 0FFH, 0F8H, 068H, 00DH, 0C4H, 00EH, 00FH, 068H, 004H
DB 010H, 055H, 007H, 068H, 0FFH, 005H, 0D0H, 001H, 068H, 055H
DB 05DH, 00DH, 055H, 068H, 088H, 00FH, 05FH, 055H, 068H, 0FFH
DB 0FFH, 0F3H, 0F3H, 068H, 054H, 011H, 00CH, 00AH, 08BH, 0D6H
DB 08BH, 0F4H, 06AH, 019H, 068H, 080H, 00BH, 0ACH, 0B0H, 068H
DB 03EH, 0F3H, 0B1H, 0BFH, 068H, 058H, 0EAH, 011H, 000H, 08BH
DB 0DCH, 083H, 0ECH, 070H, 08BH, 0FCH, 0FCH, 06AH, 064H, 059H
DB 00FH, 0A3H, 00BH, 0D6H, 073H, 001H, 0ACH, 0AAH, 0E2H, 0F6H
DB 08BH, 0F2H, 06AH, 002H, 05BH, 08BH, 0D3H, 0ACH, 050H, 050H
DB 03CH, 066H, 00FH, 044H, 0D9H, 03CH, 067H, 00FH, 044H, 0D1H
DB 03CH, 0EAH, 074H, 005H, 03CH, 09AH, 075H, 005H, 046H, 08DH
DB 074H, 033H, 003H, 03CH, 0C8H, 074H, 006H, 024H, 0F7H, 03CH
DB 0C2H, 075H, 002H, 046H, 046H, 024H, 0E7H, 03CH, 026H, 058H
DB 074H, 014H, 03CH, 0F1H, 074H, 00EH, 024H, 0FCH, 03CH, 0A0H
DB 075H, 004H, 08DH, 074H, 032H, 002H, 03CH, 0F0H, 074H, 002H
DB 03CH, 064H, 058H, 074H, 0BCH, 08BH, 0FCH, 052H, 050H, 03CH
DB 00FH, 075H, 001H, 0ACH, 09CH, 0D4H, 010H, 086H, 0CCH, 098H
DB 099H, 033H, 0EDH, 09DH, 075H, 016H, 083H, 0C7H, 035H, 0E3H
DB 00DH, 00FH, 0A3H, 02FH, 073H, 001H, 042H, 045H, 0E2H, 0F7H
DB 072H, 002H, 0D6H, 099H, 0D1H, 0E2H, 0EBH, 018H, 080H, 0E9H
DB 004H, 079H, 004H, 0B1H, 00CH, 024H, 007H, 0E3H, 00BH, 080H
DB 0D2H, 001H, 045H, 00FH, 0A3H, 02FH, 0E2H, 0F7H, 072H, 002H
DB 0D0H, 0E8H, 086H, 0C8H, 08DH, 014H, 0D1H, 059H, 05DH, 00FH
DB 0A3H, 057H, 002H, 073H, 03BH, 0ACH, 0D4H, 008H, 0C0H, 0E4H
DB 004H, 073H, 002H, 078H, 01FH, 09CH, 085H, 0EDH, 075H, 006H
DB 02CH, 006H, 075H, 009H, 0B0H, 005H, 03CH, 004H, 075H, 003H
DB 0ACH, 024H, 007H, 09DH, 072H, 006H, 078H, 007H, 03CH, 005H
DB 075H, 004H, 003H, 0F5H, 046H, 046H, 0F6H, 0C4H, 060H, 075H
DB 00DH, 091H, 03CH, 0F6H, 074H, 007H, 03CH, 0F7H, 075H, 004H
DB 003H, 0F3H, 046H, 046H, 0D1H, 0E2H, 00FH, 0A3H, 057H, 013H
DB 073H, 00AH, 042H, 00FH, 0A3H, 057H, 013H, 073H, 002H, 013H
DB 0F3H, 046H, 081H, 0C4H, 0B0H, 000H, 000H, 000H, 02BH, 074H
DB 024H, 004H, 089H, 074H, 024H, 01CH, 061H, 0C3H, 055H, 08BH
DB 0ECH, 083H, 0C4H, 0F4H, 053H, 056H, 057H, 0C7H, 045H, 0F4H
DB 0F0H, 0F2H, 0F3H, 02EH, 0C7H, 045H, 0F8H, 03EH, 036H, 026H
DB 064H, 0C7H, 045H, 0FCH, 065H, 066H, 067H, 000H, 08BH, 075H
DB 008H, 0FCH, 08DH, 055H, 0F4H, 033H, 0DBH, 0ACH, 08BH, 0FAH
DB 03CH, 067H, 0B9H, 00BH, 000H, 000H, 000H, 075H, 003H, 080H
DB 0CBH, 001H, 0F2H, 0AEH, 074H, 0EDH, 04EH, 033H, 0C0H, 00FH
DB 0B6H, 04EH, 0FFH, 02BH, 075H, 008H, 075H, 004H, 033H, 0C9H
DB 0EBH, 002H, 08BH, 0C6H, 08BH, 0D3H, 05FH, 05EH, 05BH, 0C9H
DB 0C2H, 004H, 000H, 055H, 08BH, 0ECH, 0FFH, 075H, 008H, 0E8H
DB 0A0H, 0FFH, 0FFH, 0FFH, 08BH, 055H, 008H, 00FH, 0B6H, 00CH
DB 010H, 040H, 080H, 0F9H, 0CFH, 074H, 019H, 080H, 0F9H, 0C3H
DB 074H, 014H, 080H, 0F9H, 0CBH, 074H, 00FH, 083H, 0C0H, 002H
DB 080H, 0F9H, 0C2H, 074H, 007H, 080H, 0F9H, 0CAH, 074H, 002H
DB 033H, 0C0H, 0C9H, 0C2H, 004H, 000H, 055H, 08BH, 0ECH, 0FFH
DB 075H, 008H, 0E8H, 06BH, 0FFH, 0FFH, 0FFH, 08BH, 0C8H, 003H
DB 045H, 008H, 080H, 038H, 00FH, 074H, 02CH, 080H, 038H, 070H
DB 072H, 058H, 080H, 038H, 07FH, 076H, 00AH, 080H, 038H, 0E0H
DB 072H, 04EH, 080H, 038H, 0E3H, 077H, 049H, 00FH, 0B6H, 050H
DB 001H, 00FH, 0BAH, 0F2H, 007H, 073H, 005H, 02DH, 080H, 000H
DB 000H, 000H, 08DH, 054H, 002H, 002H, 083H, 0C1H, 002H, 0EBH
DB 028H, 080H, 078H, 001H, 080H, 072H, 02BH, 080H, 078H, 001H
DB 08FH, 077H, 025H, 083H, 0F9H, 066H, 075H, 00DH, 00FH, 0B7H
DB 050H, 002H, 08DH, 054H, 002H, 004H, 083H, 0C1H, 004H, 0EBH
DB 00AH, 08BH, 050H, 002H, 08DH, 054H, 002H, 006H, 083H, 0C1H
DB 006H, 0B8H, 001H, 000H, 000H, 000H, 0C9H, 0C2H, 004H, 000H
DB 033H, 0C0H, 033H, 0C9H, 033H, 0D2H, 0EBH, 0F4H, 055H, 08BH
DB 0ECH, 0FFH, 075H, 008H, 0E8H, 0F1H, 0FEH, 0FFH, 0FFH, 003H
DB 045H, 008H, 080H, 038H, 00FH, 075H, 00BH, 00FH, 0B6H, 040H
DB 001H, 02DH, 080H, 000H, 000H, 000H, 0EBH, 006H, 00FH, 0B6H
DB 000H, 083H, 0E8H, 070H, 072H, 00AH, 083H, 0F8H, 010H, 073H
DB 005H, 040H, 0C9H, 0C2H, 004H, 000H, 033H, 0C0H, 0EBH, 0F8H
DB 055H, 08BH, 0ECH, 0FFH, 075H, 008H, 0E8H, 0BDH, 0FEH, 0FFH
DB 0FFH, 003H, 045H, 008H, 080H, 038H, 0EBH, 075H, 01AH, 00FH
DB 0B6H, 050H, 001H, 00FH, 0BAH, 0F2H, 007H, 073H, 005H, 02DH
DB 080H, 000H, 000H, 000H, 08DH, 054H, 002H, 002H, 0B9H, 001H
DB 000H, 000H, 000H, 0EBH, 042H, 080H, 038H, 0E9H, 075H, 01DH
DB 083H, 0F9H, 066H, 075H, 00AH, 00FH, 0B7H, 050H, 001H, 08DH
DB 054H, 002H, 003H, 0EBH, 007H, 08BH, 050H, 001H, 08DH, 054H
DB 002H, 005H, 0B9H, 001H, 000H, 000H, 000H, 0EBH, 020H, 080H
DB 038H, 0EAH, 074H, 017H, 080H, 038H, 0FFH, 075H, 01FH, 00FH
DB 0B6H, 050H, 001H, 083H, 0E2H, 038H, 0C1H, 0EAH, 003H, 083H
DB 0EAH, 004H, 074H, 003H, 04AH, 075H, 00DH, 033H, 0C9H, 033H
DB 0D2H, 0B8H, 001H, 000H, 000H, 000H, 0C9H, 0C2H, 004H, 000H
DB 033H, 0C9H, 033H, 0D2H, 033H, 0C0H, 0EBH, 0F4H, 055H, 08BH
DB 0ECH, 0FFH, 075H, 008H, 0E8H, 03DH, 0FEH, 0FFH, 0FFH, 003H
DB 045H, 008H, 080H, 038H, 0E8H, 075H, 01DH, 083H, 0F9H, 066H
DB 075H, 00AH, 00FH, 0B7H, 050H, 001H, 08DH, 054H, 002H, 003H
DB 0EBH, 007H, 08BH, 050H, 001H, 08DH, 054H, 002H, 005H, 0B9H
DB 001H, 000H, 000H, 000H, 0EBH, 020H, 080H, 038H, 09AH, 074H
DB 017H, 080H, 038H, 0FFH, 075H, 01FH, 00FH, 0B6H, 050H, 001H
DB 083H, 0E2H, 038H, 0C1H, 0EAH, 003H, 083H, 0EAH, 002H, 074H
DB 003H, 04AH, 075H, 00DH, 033H, 0C9H, 033H, 0D2H, 0B8H, 001H
DB 000H, 000H, 000H, 0C9H, 0C2H, 004H, 000H, 033H, 0C9H, 033H
DB 0D2H, 033H, 0C0H, 0EBH, 0F4H, 055H, 08BH, 0ECH, 053H, 0BBH
DB 003H, 000H, 000H, 000H, 0FFH, 075H, 008H, 0E8H, 060H, 0FEH
DB 0FFH, 0FFH, 085H, 0C0H, 075H, 01BH, 04BH, 0FFH, 075H, 008H
DB 0E8H, 001H, 0FFH, 0FFH, 0FFH, 085H, 0C0H, 075H, 00EH, 04BH
DB 0FFH, 075H, 008H, 0E8H, 074H, 0FFH, 0FFH, 0FFH, 085H, 0C0H
DB 075H, 001H, 04BH, 08BH, 0C3H, 05BH, 0C9H, 0C2H, 004H, 000H
DB 055H, 08BH, 0ECH, 056H, 08BH, 075H, 008H, 0E8H, 048H, 0FCH
DB 0FFH, 0FFH, 05EH, 0C9H, 0C2H, 004H, 000H, 055H, 08BH, 0ECH
DB 083H, 0C4H, 0F8H, 053H, 057H, 08BH, 07DH, 008H, 08BH, 045H
DB 00CH, 08BH, 017H, 083H, 0E2H, 0FCH, 083H, 0E7H, 0FCH, 085H
DB 0D2H, 089H, 037H, 089H, 016H, 074H, 007H, 083H, 062H, 004H
DB 003H, 009H, 072H, 004H, 089H, 04EH, 004H, 089H, 046H, 008H
DB 08BH, 057H, 010H, 02BH, 047H, 008H, 089H, 055H, 0FCH, 00FH
DB 086H, 0C5H, 004H, 000H, 000H, 089H, 047H, 010H, 02BH, 0D0H
DB 08BH, 04DH, 000H, 00FH, 086H, 0B7H, 004H, 000H, 000H, 0F7H
DB 041H, 010H, 020H, 000H, 000H, 000H, 089H, 056H, 010H, 075H
DB 01AH, 033H, 0D2H, 089H, 056H, 014H, 089H, 057H, 014H, 08BH
DB 0C6H, 0C7H, 046H, 00CH, 000H, 000H, 000H, 000H, 083H, 0C6H
DB 020H, 05FH, 05BH, 0C9H, 0C2H, 008H, 000H, 0C7H, 045H, 0F8H
DB 000H, 000H, 000H, 000H, 08BH, 05FH, 008H, 0FFH, 045H, 0F8H
DB 053H, 0E8H, 06EH, 0FFH, 0FFH, 0FFH, 029H, 045H, 0FCH, 00FH
DB 086H, 075H, 004H, 000H, 000H, 003H, 0D8H, 039H, 05DH, 00CH
DB 00FH, 082H, 06AH, 004H, 000H, 000H, 077H, 0E1H, 08BH, 04DH
DB 0F8H, 087H, 04FH, 014H, 02BH, 04DH, 0F8H, 00FH, 086H, 059H
DB 004H, 000H, 000H, 089H, 04EH, 014H, 0EBH, 0B1H, 055H, 08BH
DB 0ECH, 08BH, 045H, 008H, 039H, 045H, 00CH, 074H, 039H, 083H
DB 07DH, 014H, 000H, 074H, 012H, 06AH, 001H, 0FFH, 075H, 018H
DB 0FFH, 075H, 010H, 0FFH, 055H, 014H, 085H, 0C0H, 075H, 039H
DB 08BH, 045H, 008H, 08BH, 050H, 008H, 039H, 055H, 010H, 074H
DB 02EH, 072H, 00FH, 08BH, 008H, 083H, 0E1H, 003H, 075H, 008H
DB 003H, 050H, 010H, 039H, 055H, 010H, 072H, 021H, 083H, 0C0H
DB 020H, 039H, 045H, 00CH, 077H, 0DFH, 083H, 07DH, 014H, 000H
DB 074H, 00DH, 06AH, 000H, 0FFH, 075H, 018H, 0FFH, 075H, 010H
DB 0FFH, 055H, 014H, 0EBH, 002H, 033H, 0C0H, 0C9H, 0C2H, 014H
DB 000H, 08BH, 04DH, 000H, 0F7H, 041H, 010H, 002H, 000H, 000H
DB 000H, 00FH, 085H, 0E7H, 003H, 000H, 000H, 0F7H, 041H, 010H
DB 008H, 000H, 000H, 000H, 074H, 0E3H, 056H, 053H, 050H, 08BH
DB 0F2H, 08BH, 058H, 010H, 0E8H, 015H, 0FBH, 0FFH, 0FFH, 003H
DB 0F0H, 02BH, 0D8H, 077H, 009H, 058H, 05BH, 05EH, 00FH, 085H
DB 0C2H, 003H, 000H, 000H, 039H, 075H, 010H, 077H, 0E7H, 058H
DB 05BH, 05EH, 074H, 0BDH, 0E9H, 0B3H, 003H, 000H, 000H, 055H
DB 08BH, 0ECH, 083H, 0C4H, 0E0H, 053H, 056H, 057H, 033H, 0DBH
DB 08BH, 075H, 00CH, 0E8H, 0BAH, 003H, 000H, 000H, 0E8H, 084H
DB 0FAH, 0FFH, 0FFH, 053H, 08BH, 04DH, 014H, 08BH, 036H, 089H
DB 05DH, 0F0H, 089H, 05DH, 0F4H, 089H, 04DH, 0ECH, 08BH, 0FEH
DB 089H, 05DH, 0FCH, 089H, 05FH, 004H, 089H, 075H, 0F8H, 057H
DB 08BH, 05DH, 008H, 0EBH, 015H, 08DH, 047H, 020H, 033H, 0D2H
DB 009H, 007H, 089H, 045H, 0E0H, 089H, 078H, 004H, 0E8H, 041H
DB 003H, 000H, 000H, 08BH, 07DH, 0E0H, 039H, 05DH, 018H, 089H
DB 05FH, 008H, 0C7H, 047H, 018H, 000H, 000H, 000H, 000H, 075H
DB 00DH, 08BH, 055H, 018H, 033H, 0C9H, 089H, 07DH, 0FCH, 0E9H
DB 0E0H, 001H, 000H, 000H, 053H, 0E8H, 0FDH, 0FDH, 0FFH, 0FFH
DB 085H, 0C0H, 00FH, 085H, 0C8H, 000H, 000H, 000H, 083H, 0C6H
DB 020H, 0C7H, 007H, 000H, 000H, 000H, 000H, 089H, 047H, 00CH
DB 053H, 0E8H, 01FH, 0FCH, 0FFH, 0FFH, 085H, 0C0H, 0C7H, 047H
DB 014H, 001H, 000H, 000H, 000H, 089H, 047H, 010H, 00FH, 085H
DB 026H, 002H, 000H, 000H, 053H, 0E8H, 002H, 0FEH, 0FFH, 0FFH
DB 001H, 047H, 010H, 003H, 0D8H, 0FFH, 075H, 028H, 0FFH, 075H
DB 024H, 053H, 056H, 0FFH, 075H, 0F8H, 0E8H, 0A9H, 0FEH, 0FFH
DB 0FFH, 085H, 0C0H, 00FH, 085H, 0F5H, 000H, 000H, 000H, 039H
DB 045H, 024H, 074H, 00EH, 0FFH, 075H, 028H, 053H, 057H, 0FFH
DB 055H, 024H, 085H, 0C0H, 08BH, 0D0H, 075H, 008H, 039H, 05DH
DB 018H, 075H, 00FH, 08BH, 055H, 018H, 033H, 0C9H, 089H, 07DH
DB 0FCH, 0B8H, 002H, 000H, 000H, 000H, 0EBH, 030H, 053H, 0E8H
DB 081H, 0FDH, 0FFH, 0FFH, 085H, 0C0H, 075H, 026H, 0F7H, 045H
DB 010H, 002H, 000H, 000H, 000H, 00FH, 085H, 03CH, 0FFH, 0FFH
DB 0FFH, 083H, 04FH, 004H, 001H, 053H, 0E8H, 0A2H, 0FBH, 0FFH
DB 0FFH, 0FFH, 047H, 014H, 085H, 0C0H, 074H, 08EH, 001H, 047H
DB 010H, 0E9H, 0ACH, 001H, 000H, 000H, 089H, 045H, 0E0H, 089H
DB 04DH, 0E4H, 089H, 055H, 0E8H, 08DH, 047H, 020H, 033H, 0D2H
DB 009H, 007H, 089H, 078H, 004H, 089H, 058H, 008H, 089H, 057H
DB 018H, 0E8H, 058H, 002H, 000H, 000H, 08BH, 045H, 0E0H, 08BH
DB 04DH, 0E4H, 08BH, 055H, 0E8H, 083H, 0C7H, 020H, 083H, 0F8H
DB 003H, 00FH, 085H, 080H, 000H, 000H, 000H, 083H, 0C6H, 020H
DB 089H, 057H, 010H, 0C7H, 047H, 014H, 000H, 000H, 000H, 000H
DB 0FFH, 045H, 0F4H, 057H, 051H, 089H, 007H, 053H, 0C7H, 047H
DB 00CH, 000H, 000H, 000H, 000H, 0E8H, 0EAH, 0FAH, 0FFH, 0FFH
DB 00FH, 0B6H, 004H, 018H, 02CH, 0E0H, 072H, 00DH, 03CH, 004H
DB 073H, 009H, 083H, 04FH, 004H, 001H, 008H, 047H, 018H, 0EBH
DB 012H, 053H, 0E8H, 0D3H, 0FBH, 0FFH, 0FFH, 085H, 0C0H, 00FH
DB 084H, 027H, 002H, 000H, 000H, 048H, 008H, 047H, 018H, 085H
DB 0D2H, 059H, 074H, 004H, 080H, 04FH, 018H, 010H, 003H, 0D9H
DB 0FFH, 075H, 028H, 0FFH, 075H, 024H, 053H, 056H, 0FFH, 075H
DB 0F8H, 0E8H, 0B4H, 0FDH, 0FFH, 0FFH, 085H, 0C0H, 00FH, 084H
DB 085H, 0FEH, 0FFH, 0FFH, 039H, 058H, 008H, 00FH, 084H, 000H
DB 001H, 000H, 000H, 053H, 050H, 0E8H, 0F1H, 0FCH, 0FFH, 0FFH
DB 0E9H, 0F9H, 000H, 000H, 000H, 083H, 0F8H, 001H, 075H, 07CH
DB 083H, 0C6H, 020H, 0C7H, 047H, 00CH, 000H, 000H, 000H, 000H
DB 0C7H, 047H, 014H, 000H, 000H, 000H, 000H, 089H, 007H, 0E3H
DB 04FH, 089H, 057H, 010H, 083H, 04FH, 004H, 001H, 053H, 0E8H
DB 0B4H, 0FCH, 0FFH, 0FFH, 083H, 07DH, 014H, 000H, 08DH, 01CH
DB 018H, 00FH, 084H, 03CH, 0FEH, 0FFH, 0FFH, 083H, 04FH, 014H
DB 001H, 08BH, 0D6H, 08BH, 0C7H, 08BH, 04DH, 0F4H, 050H, 08BH
DB 0FCH, 0FCH, 08DH, 077H, 004H, 0FFH, 045H, 0F0H, 0F3H, 0A5H
DB 0ABH, 08BH, 0F2H, 08BH, 0F8H, 0FFH, 075H, 028H, 0FFH, 075H
DB 024H, 053H, 056H, 0FFH, 075H, 0F8H, 0E8H, 037H, 0FDH, 0FFH
DB 0FFH, 085H, 0C0H, 075H, 087H, 0E9H, 007H, 0FEH, 0FFH, 0FFH
DB 0C7H, 047H, 010H, 000H, 000H, 000H, 000H, 083H, 067H, 004H
DB 0FCH, 053H, 0E8H, 061H, 0FCH, 0FFH, 0FFH, 003H, 0D8H, 0E9H
DB 0EFH, 0FDH, 0FFH, 0FFH, 083H, 0C6H, 020H, 085H, 0C9H, 0C7H
DB 007H, 002H, 000H, 000H, 000H, 0C7H, 047H, 00CH, 000H, 000H
DB 000H, 000H, 075H, 00CH, 089H, 04FH, 014H, 089H, 04FH, 010H
DB 083H, 067H, 004H, 0FCH, 0EBH, 058H, 08BH, 0DAH, 083H, 04FH
DB 004H, 001H, 089H, 05FH, 010H, 0FFH, 075H, 028H, 0FFH, 075H
DB 024H, 053H, 056H, 0FFH, 075H, 0F8H, 0E8H, 0DDH, 0FCH, 0FFH
DB 0FFH, 085H, 0C0H, 074H, 01BH, 039H, 058H, 008H, 074H, 007H
DB 053H, 050H, 0E8H, 022H, 0FCH, 0FFH, 0FFH, 009H, 047H, 014H
DB 0BAH, 001H, 000H, 000H, 000H, 0E8H, 0ECH, 000H, 000H, 000H
DB 0EBH, 02BH, 08DH, 04FH, 020H, 033H, 0D2H, 089H, 041H, 004H
DB 089H, 04DH, 0E0H, 089H, 04FH, 014H, 0E8H, 0D7H, 000H, 000H
DB 000H, 08BH, 07DH, 0E0H, 0E9H, 091H, 0FDH, 0FFH, 0FFH, 009H
DB 078H, 004H, 009H, 007H, 00BH, 0FFH, 074H, 007H, 033H, 0D2H
DB 0E8H, 0BFH, 000H, 000H, 000H, 083H, 07DH, 0F4H, 000H, 05FH
DB 074H, 02FH, 0FFH, 04DH, 0F4H, 08BH, 05FH, 010H, 0FFH, 075H
DB 028H, 0FFH, 075H, 024H, 053H, 056H, 0FFH, 075H, 0F8H, 0E8H
DB 076H, 0FCH, 0FFH, 0FFH, 085H, 0C0H, 075H, 099H, 089H, 046H
DB 004H, 009H, 077H, 014H, 08DH, 050H, 001H, 0E8H, 090H, 000H
DB 000H, 000H, 08BH, 0FEH, 0E9H, 04BH, 0FDH, 0FFH, 0FFH, 083H
DB 07DH, 0F0H, 000H, 00FH, 084H, 0B5H, 000H, 000H, 000H, 0FFH
DB 04DH, 0F0H, 00BH, 0FFH, 075H, 01CH, 08BH, 04DH, 0F4H, 08BH
DB 0D6H, 003H, 04DH, 0F0H, 08DH, 03CH, 08CH, 0FDH, 08DH, 077H
DB 0FCH, 0F3H, 0A5H, 0FFH, 045H, 014H, 0FCH, 083H, 0C4H, 004H
DB 08BH, 0F2H, 0EBH, 09DH, 08BH, 05FH, 010H, 0FFH, 075H, 028H
DB 0FFH, 075H, 024H, 053H, 056H, 0FFH, 075H, 0F8H, 0E8H, 01DH
DB 0FCH, 0FFH, 0FFH, 085H, 0C0H, 00FH, 085H, 03CH, 0FFH, 0FFH
DB 0FFH, 0FFH, 04DH, 014H, 050H, 0FFH, 045H, 0F0H, 050H, 08BH
DB 04DH, 0F4H, 08BH, 0C6H, 08BH, 0D7H, 003H, 04DH, 0F0H, 08BH
DB 0FCH, 0FCH, 08DH, 077H, 004H, 0F3H, 0A5H, 009H, 042H, 014H
DB 0F7H, 045H, 010H, 010H, 000H, 000H, 000H, 089H, 048H, 004H
DB 074H, 003H, 0ABH, 0EBH, 002H, 089H, 017H, 08BH, 0F0H, 08BH
DB 0FAH, 08DH, 051H, 001H, 0E8H, 007H, 000H, 000H, 000H, 08BH
DB 0FEH, 0E9H, 0C2H, 0FCH, 0FFH, 0FFH, 083H, 07DH, 01CH, 000H
DB 074H, 021H, 08BH, 045H, 0F4H, 08BH, 04DH, 0ECH, 003H, 045H
DB 0F0H, 0FFH, 075H, 020H, 02BH, 04DH, 014H, 052H, 08DH, 044H
DB 084H, 00CH, 051H, 050H, 057H, 0FFH, 075H, 0F8H, 0FFH, 055H
DB 01CH, 085H, 0C0H, 075H, 006H, 0C3H, 0B8H, 001H, 000H, 000H
DB 0C0H, 064H, 08BH, 025H, 000H, 000H, 000H, 000H, 0EBH, 005H
DB 033H, 0C0H, 083H, 0C4H, 004H, 08BH, 04DH, 00CH, 089H, 031H
DB 0EBH, 005H, 0E8H, 0C8H, 0F6H, 0FFH, 0FFH, 0E8H, 0DEH, 0F6H
DB 0FFH, 0FFH, 08BH, 055H, 0FCH, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 024H, 000H, 055H, 08BH, 0ECH, 083H, 0C4H, 0F8H, 053H, 056H
DB 057H, 0E8H, 0EDH, 000H, 000H, 000H, 0E8H, 0A8H, 0F6H, 0FFH
DB 0FFH, 08BH, 05DH, 008H, 0FCH, 08BH, 043H, 004H, 089H, 065H
DB 0FCH, 083H, 0E0H, 002H, 089H, 045H, 0F8H, 08BH, 053H, 004H
DB 083H, 0E2H, 0FCH, 074H, 004H, 08BH, 0DAH, 0EBH, 0F4H, 08BH
DB 053H, 004H, 083H, 0E2H, 002H, 039H, 055H, 0F8H, 075H, 055H
DB 083H, 073H, 004H, 002H, 0FFH, 075H, 010H, 053H, 0FFH, 055H
DB 00CH, 085H, 0C0H, 00FH, 085H, 0B3H, 000H, 000H, 000H, 08BH
DB 003H, 083H, 0E0H, 003H, 074H, 034H, 083H, 0F8H, 001H, 075H
DB 015H, 0F7H, 043H, 004H, 001H, 000H, 000H, 000H, 074H, 026H
DB 0F7H, 043H, 014H, 001H, 000H, 000H, 000H, 074H, 01DH, 053H
DB 0EBH, 01AH, 083H, 0F8H, 003H, 074H, 00BH, 0F7H, 043H, 004H
DB 001H, 000H, 000H, 000H, 074H, 013H, 0EBH, 040H, 08BH, 043H
DB 014H, 083H, 0E0H, 0FCH, 083H, 0C8H, 001H, 050H, 08BH, 01BH
DB 083H, 0E3H, 0FCH, 075H, 0A0H, 08BH, 04DH, 0FCH, 02BH, 0CCH
DB 074H, 076H, 0C1H, 0E9H, 002H, 08BH, 0D1H, 0F7H, 044H, 08CH
DB 0FCH, 001H, 000H, 000H, 000H, 075H, 030H, 0E2H, 0F4H, 08DH
DB 07CH, 094H, 0FCH, 08DH, 077H, 0FCH, 08BH, 05CH, 094H, 0FCH
DB 08BH, 0CAH, 0FDH, 00FH, 0BAH, 0F3H, 000H, 0F3H, 0A5H, 083H
DB 0C4H, 004H, 08BH, 05BH, 014H, 0FCH, 083H, 0E3H, 0FCH, 08BH
DB 043H, 004H, 083H, 0E0H, 002H, 039H, 045H, 0F8H, 075H, 0BFH
DB 0E9H, 04EH, 0FFH, 0FFH, 0FFH, 08DH, 07CH, 08CH, 0FCH, 08DH
DB 077H, 0FCH, 08BH, 05CH, 08CH, 0FCH, 0FDH, 00FH, 0BAH, 0F3H
DB 000H, 0F3H, 0A5H, 083H, 0C4H, 004H, 08BH, 043H, 004H, 0FCH
DB 083H, 0E0H, 002H, 039H, 045H, 0F8H, 075H, 099H, 0E9H, 028H
DB 0FFH, 0FFH, 0FFH, 0E8H, 0B9H, 0F5H, 0FFH, 0FFH, 0E8H, 0CFH
DB 0F5H, 0FFH, 0FFH, 05FH, 05EH, 05BH, 0C9H, 0C2H, 00CH, 000H
DB 033H, 0C0H, 0EBH, 0F0H, 055H, 08BH, 0ECH, 053H, 056H, 057H
DB 0E8H, 041H, 000H, 000H, 000H, 0E8H, 09BH, 0F5H, 0FFH, 0FFH
DB 08BH, 05DH, 008H, 08BH, 07DH, 010H, 08BH, 043H, 004H, 0FCH
DB 039H, 043H, 008H, 076H, 021H, 08BH, 050H, 008H, 039H, 055H
DB 00CH, 074H, 020H, 072H, 00FH, 08BH, 008H, 083H, 0E1H, 003H
DB 075H, 008H, 003H, 050H, 010H, 039H, 055H, 00CH, 072H, 00FH
DB 083H, 0C0H, 020H, 039H, 043H, 008H, 077H, 0DFH, 0B8H, 025H
DB 002H, 000H, 0C0H, 0EBH, 00AH, 0ABH, 033H, 0C0H, 0EBH, 005H
DB 0E8H, 058H, 0F5H, 0FFH, 0FFH, 0E8H, 06EH, 0F5H, 0FFH, 0FFH
DB 05FH, 05EH, 05BH, 0C9H, 0C2H, 00CH, 000H, 055H, 08BH, 0ECH
DB 053H, 056H, 057H, 0E8H, 061H, 000H, 000H, 000H, 0E8H, 03EH
DB 0F5H, 0FFH, 0FFH, 08BH, 075H, 00CH, 08BH, 05DH, 014H, 033H
DB 0FFH, 00BH, 0F6H, 075H, 002H, 08BH, 0F5H, 064H, 039H, 035H
DB 004H, 000H, 000H, 000H, 076H, 03EH, 064H, 039H, 035H, 008H
DB 000H, 000H, 000H, 077H, 035H, 083H, 07DH, 010H, 000H, 075H
DB 009H, 081H, 07EH, 008H, 000H, 00DH, 0DBH, 0BAH, 074H, 026H
DB 0FFH, 075H, 014H, 0FFH, 076H, 004H, 0FFH, 075H, 008H, 0E8H
DB 056H, 0FFH, 0FFH, 0FFH, 085H, 0C0H, 074H, 00CH, 03DH, 025H
DB 002H, 000H, 0C0H, 075H, 019H, 08BH, 036H, 047H, 0EBH, 0C1H
DB 089H, 073H, 004H, 089H, 07BH, 008H, 0EBH, 00CH, 0B8H, 025H
DB 002H, 000H, 0C0H, 0EBH, 005H, 0E8H, 0DBH, 0F4H, 0FFH, 0FFH
DB 0E8H, 0F1H, 0F4H, 0FFH, 0FFH, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 010H, 000H, 0E8H, 0CAH, 0F4H, 0FFH, 0FFH, 055H, 08BH, 0ECH
DB 053H, 08BH, 05DH, 00CH, 08BH, 055H, 008H, 08BH, 042H, 008H
DB 039H, 003H, 074H, 010H, 072H, 011H, 08BH, 00AH, 083H, 0E1H
DB 003H, 075H, 00AH, 003H, 042H, 010H, 039H, 003H, 073H, 003H
DB 089H, 053H, 004H, 033H, 0C0H, 05BH, 0C9H, 0C2H, 008H, 000H
DB 055H, 08BH, 0ECH, 083H, 0C4H, 0F8H, 053H, 08BH, 045H, 00CH
DB 08DH, 04DH, 0F8H, 0C7H, 045H, 0FCH, 000H, 000H, 000H, 000H
DB 089H, 045H, 0F8H, 051H, 08BH, 055H, 008H, 0E8H, 0B0H, 0FFH
DB 0FFH, 0FFH, 050H, 0FFH, 072H, 004H, 0E8H, 0BDH, 0FDH, 0FFH
DB 0FFH, 08BH, 04DH, 010H, 085H, 0C0H, 08BH, 055H, 0FCH, 075H
DB 002H, 089H, 011H, 05BH, 0C9H, 0C2H, 00CH, 000H, 055H, 08BH
DB 0ECH, 053H, 08BH, 05DH, 008H, 039H, 05DH, 00CH, 077H, 004H
DB 033H, 0C0H, 0EBH, 036H, 039H, 05DH, 010H, 08BH, 003H, 074H
DB 028H, 08BH, 00BH, 083H, 0E1H, 0FCH, 039H, 04DH, 010H, 074H
DB 023H, 083H, 0E0H, 003H, 074H, 019H, 083H, 0F8H, 003H, 08BH
DB 04BH, 014H, 074H, 009H, 0F7H, 043H, 004H, 001H, 000H, 000H
DB 000H, 074H, 008H, 083H, 0E1H, 0FCH, 039H, 04DH, 010H, 074H
DB 005H, 083H, 0C3H, 020H, 0EBH, 0C3H, 08BH, 0C3H, 05BH, 0C9H
DB 0C2H, 00CH, 000H, 055H, 08BH, 0ECH, 053H, 056H, 057H, 0E8H
DB 0A4H, 000H, 000H, 000H, 0E8H, 00CH, 0F4H, 0FFH, 0FFH, 083H
DB 07DH, 014H, 000H, 08BH, 075H, 00CH, 08BH, 05DH, 008H, 075H
DB 00AH, 0B8H, 00DH, 000H, 000H, 0C0H, 0E9H, 08EH, 000H, 000H
DB 000H, 00BH, 0F6H, 075H, 014H, 08DH, 045H, 00CH, 050H, 0FFH
DB 075H, 010H, 053H, 0E8H, 03AH, 0FEH, 0FFH, 0FFH, 085H, 0C0H
DB 08BH, 075H, 00CH, 075H, 076H, 0FCH, 039H, 073H, 008H, 076H
DB 07CH, 08BH, 056H, 004H, 083H, 0E2H, 0FCH, 075H, 005H, 08BH
DB 07BH, 004H, 0EBH, 004H, 08BH, 0F2H, 0EBH, 0EFH, 056H, 0FFH
DB 073H, 008H, 057H, 0E8H, 056H, 0FFH, 0FFH, 0FFH, 089H, 045H
DB 00CH, 083H, 07DH, 018H, 000H, 074H, 01DH, 050H, 056H, 0FFH
DB 075H, 008H, 0FFH, 055H, 018H, 085H, 0C0H, 08BH, 04DH, 00CH
DB 075H, 01EH, 085H, 0C9H, 074H, 045H, 08DH, 079H, 020H, 039H
DB 07BH, 008H, 076H, 03DH, 0EBH, 0D0H, 085H, 0C0H, 075H, 00CH
DB 08BH, 04DH, 020H, 0B8H, 01AH, 000H, 000H, 080H, 089H, 031H
DB 0EBH, 01FH, 08BH, 0F0H, 08BH, 00EH, 083H, 0E1H, 003H, 074H
DB 0A6H, 049H, 075H, 0A3H, 0FFH, 04DH, 014H, 08BH, 04DH, 020H
DB 075H, 09BH, 089H, 031H, 033H, 0C0H, 0EBH, 005H, 0E8H, 066H
DB 0F3H, 0FFH, 0FFH, 0E8H, 07CH, 0F3H, 0FFH, 0FFH, 05FH, 05EH
DB 05BH, 0C9H, 0C2H, 01CH, 000H, 0B8H, 025H, 002H, 000H, 0C0H
DB 0EBH, 0EDH, 0E8H, 04EH, 0F3H, 0FFH, 0FFH, 055H, 08BH, 0ECH
DB 053H, 056H, 057H, 08BH, 075H, 008H, 08BH, 05DH, 00CH, 0F7H
DB 006H, 003H, 000H, 000H, 000H, 075H, 038H, 083H, 03BH, 0FFH
DB 08BH, 07EH, 010H, 08BH, 076H, 008H, 075H, 02DH, 056H, 0E8H
DB 0E2H, 0F4H, 0FFH, 0FFH, 00FH, 0B6H, 00CH, 030H, 080H, 0F9H
DB 0C3H, 074H, 027H, 080H, 0F9H, 0CBH, 074H, 022H, 080H, 0F9H
DB 0C2H, 074H, 021H, 080H, 0F9H, 0CAH, 074H, 01CH, 0E8H, 069H
DB 0F3H, 0FFH, 0FFH, 085H, 0C0H, 074H, 006H, 003H, 0F0H, 02BH
DB 0F8H, 077H, 0D3H, 033H, 0C0H, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 008H, 000H, 033H, 0C0H, 0EBH, 005H, 00FH, 0B7H, 044H, 030H
DB 001H, 0C1H, 0E8H, 002H, 089H, 003H, 0EBH, 0E7H, 055H, 08BH
DB 0ECH, 08BH, 045H, 00CH, 0C7H, 000H, 0FFH, 0FFH, 0FFH, 0FFH
DB 050H, 0E8H, 084H, 0FFH, 0FFH, 0FFH, 050H, 0FFH, 075H, 008H
DB 0E8H, 015H, 0FCH, 0FFH, 0FFH, 0C9H, 0C2H, 008H, 000H, 055H
DB 08BH, 0ECH, 083H, 0C4H, 0FCH, 057H, 08BH, 07DH, 008H, 0FCH
DB 08DH, 04FH, 078H, 033H, 0C0H, 02DH, 08CH, 0F0H, 08BH, 0E3H
DB 0ABH, 035H, 000H, 025H, 000H, 02BH, 0ABH, 005H, 000H, 01BH
DB 000H, 015H, 0ABH, 035H, 000H, 011H, 000H, 010H, 0ABH, 02DH
DB 0B1H, 0B7H, 0E6H, 012H, 0ABH, 035H, 03CH, 0E8H, 08AH, 0CCH
DB 0ABH, 005H, 0CAH, 0FFH, 0FBH, 017H, 0ABH, 035H, 036H, 094H
DB 09EH, 05EH, 0ABH, 02DH, 063H, 07AH, 054H, 04FH, 0ABH, 035H
DB 095H, 090H, 04DH, 050H, 0ABH, 005H, 037H, 07EH, 0FEH, 078H
DB 0ABH, 035H, 0BFH, 094H, 09EH, 05EH, 0ABH, 02DH, 063H, 053H
DB 054H, 0C4H, 0ABH, 035H, 0E9H, 08AH, 0CCH, 036H, 0ABH, 005H
DB 0FFH, 0FBH, 017H, 036H, 0ABH, 035H, 094H, 09EH, 05EH, 063H
DB 0ABH, 02DH, 07AH, 054H, 04FH, 093H, 0ABH, 035H, 090H, 04DH
DB 050H, 049H, 0ABH, 005H, 07FH, 0FEH, 078H, 0BFH, 0ABH, 035H
DB 095H, 09EH, 05EH, 063H, 0ABH, 02DH, 097H, 029H, 0C0H, 0FFH
DB 0ABH, 035H, 0B6H, 094H, 09EH, 05EH, 0ABH, 005H, 09DH, 085H
DB 0ABH, 0B0H, 0ABH, 035H, 09FH, 0FBH, 0B6H, 094H, 0ABH, 02DH
DB 066H, 0D9H, 062H, 05BH, 0ABH, 035H, 054H, 0B6H, 09FH, 018H
DB 0ABH, 035H, 036H, 095H, 09EH, 05EH, 0ABH, 005H, 09DH, 085H
DB 0E7H, 005H, 0ABH, 035H, 0E9H, 065H, 018H, 036H, 0ABH, 02DH
DB 095H, 065H, 0D9H, 06EH, 0ABH, 033H, 0C0H, 089H, 04DH, 0FCH
DB 050H, 050H, 050H, 050H, 050H, 050H, 06AH, 022H, 08DH, 045H
DB 0FCH, 050H, 0FFH, 075H, 008H, 0E8H, 053H, 0F7H, 0FFH, 0FFH
DB 05FH, 0C9H, 0C2H, 004H, 000H, 055H, 08BH, 0ECH, 083H, 0C4H
DB 0D8H, 053H, 056H, 057H, 08BH, 075H, 00CH, 08DH, 07DH, 0E0H
DB 0B9H, 008H, 000H, 000H, 000H, 08BH, 0C6H, 0FCH, 08BH, 05DH
DB 008H, 0F3H, 0A5H, 08BH, 008H, 083H, 0E1H, 003H, 080H, 0F9H
DB 003H, 08BH, 053H, 004H, 00FH, 085H, 006H, 001H, 000H, 000H
DB 0F7H, 040H, 004H, 001H, 000H, 000H, 000H, 00FH, 084H, 0F9H
DB 000H, 000H, 000H, 08BH, 040H, 018H, 083H, 0E0H, 00FH, 083H
DB 0E2H, 002H, 0C1H, 0E0H, 005H, 08DH, 044H, 043H, 078H, 0F7H
DB 046H, 0F8H, 010H, 000H, 000H, 000H, 074H, 003H, 083H, 0C0H
DB 020H, 08BH, 070H, 014H, 08BH, 07DH, 00CH, 083H, 0E6H, 0FCH
DB 08BH, 0DFH, 089H, 075H, 0D8H, 08BH, 047H, 004H, 0FCH, 083H
DB 0E0H, 0FCH, 0B9H, 008H, 000H, 000H, 000H, 00BH, 0C2H, 0F3H
DB 0A5H, 089H, 043H, 004H, 08BH, 07DH, 010H, 08BH, 03FH, 089H
DB 03BH, 08BH, 0C7H, 02BH, 0C6H, 089H, 045H, 0DCH, 08BH, 006H
DB 0B9H, 008H, 000H, 000H, 000H, 083H, 0E0H, 003H, 075H, 02FH
DB 083H, 03EH, 000H, 075H, 01DH, 08BH, 04DH, 0E0H, 083H, 023H
DB 003H, 083H, 0E1H, 0FCH, 08BH, 055H, 010H, 009H, 00BH, 089H
DB 03AH, 083H, 061H, 004H, 003H, 033H, 0C0H, 009H, 059H, 004H
DB 0EBH, 07BH, 0EBH, 079H, 08BH, 0DFH, 0F3H, 0A5H, 083H, 023H
DB 003H, 009H, 03BH, 0EBH, 019H, 0EBH, 06CH, 02CH, 002H, 075H
DB 034H, 08BH, 045H, 0F4H, 08BH, 0DFH, 083H, 0E0H, 0FCH, 0F3H
DB 0A5H, 089H, 043H, 014H, 08BH, 04DH, 0F0H, 089H, 04BH, 010H
DB 08BH, 046H, 0E4H, 083H, 0E0H, 0FCH, 074H, 00DH, 03BH, 045H
DB 0D8H, 075H, 005H, 08BH, 045H, 00CH, 0EBH, 003H, 003H, 045H
DB 0DCH, 00BH, 0C2H, 083H, 0C8H, 001H, 089H, 043H, 004H, 0EBH
DB 08FH, 0EBH, 034H, 08BH, 046H, 004H, 08BH, 0DFH, 083H, 0E0H
DB 0FCH, 074H, 003H, 003H, 045H, 0DCH, 0F3H, 0A5H, 08BH, 00BH
DB 00BH, 0C2H, 083H, 0E1H, 0FCH, 074H, 003H, 003H, 04DH, 0DCH
DB 080H, 0C9H, 003H, 089H, 043H, 004H, 089H, 00BH, 08BH, 043H
DB 014H, 083H, 0E0H, 0FCH, 003H, 045H, 0DCH, 089H, 043H, 014H
DB 0E9H, 059H, 0FFH, 0FFH, 0FFH, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 00CH, 000H, 0B8H, 00DH, 000H, 000H, 0C0H, 0EBH, 0F2H, 055H
DB 08BH, 0ECH, 083H, 0C4H, 0FCH, 053H, 056H, 057H, 08BH, 075H
DB 010H, 08BH, 05DH, 00CH, 08BH, 03EH, 0FFH, 075H, 008H, 0E8H
DB 0CBH, 0FDH, 0FFH, 0FFH, 085H, 0C0H, 089H, 07DH, 0FCH, 075H
DB 02CH, 08BH, 003H, 083H, 0E0H, 003H, 074H, 017H, 048H, 074H
DB 014H, 083H, 063H, 014H, 0FCH, 048H, 074H, 00DH, 08DH, 045H
DB 0FCH, 050H, 053H, 0FFH, 075H, 008H, 0E8H, 088H, 0FEH, 0FFH
DB 0FFH, 083H, 0C3H, 020H, 03BH, 0DFH, 072H, 0DBH, 08BH, 04DH
DB 0FCH, 033H, 0C0H, 089H, 00EH, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 00CH, 000H, 055H, 08BH, 0ECH, 08BH, 0D6H, 03BH, 0FAH, 08BH
DB 002H, 076H, 031H, 083H, 0E0H, 003H, 074H, 027H, 0F7H, 042H
DB 004H, 001H, 000H, 000H, 000H, 08BH, 04AH, 014H, 074H, 01BH
DB 048H, 075H, 009H, 0F7H, 042H, 014H, 001H, 000H, 000H, 000H
DB 074H, 00FH, 083H, 0E1H, 0FCH, 039H, 04DH, 008H, 075H, 007H
DB 083H, 062H, 014H, 003H, 009H, 04AH, 014H, 083H, 0C2H, 020H
DB 0EBH, 0C9H, 0C9H, 0C2H, 008H, 000H, 051H, 08BH, 0CBH, 08BH
DB 053H, 014H, 083H, 0E2H, 0FCH, 083H, 0C1H, 020H, 03BH, 0F9H
DB 076H, 017H, 03BH, 0CAH, 074H, 017H, 08BH, 001H, 083H, 0E0H
DB 003H, 083H, 0F8H, 001H, 076H, 009H, 0F7H, 041H, 014H, 002H
DB 000H, 000H, 000H, 074H, 0E2H, 033H, 0C0H, 059H, 0C3H, 08BH
DB 0C1H, 085H, 0C0H, 0EBH, 0F8H, 055H, 08BH, 0ECH, 053H, 056H
DB 057H, 08BH, 05DH, 008H, 08BH, 075H, 008H, 08BH, 07DH, 00CH
DB 08BH, 04BH, 014H, 08BH, 003H, 083H, 0E1H, 0FCH, 083H, 0E0H
DB 003H, 00FH, 084H, 002H, 001H, 000H, 000H, 048H, 075H, 01FH
DB 0F7H, 043H, 004H, 001H, 000H, 000H, 000H, 00FH, 084H, 0F2H
DB 000H, 000H, 000H, 0F7H, 043H, 014H, 001H, 000H, 000H, 000H
DB 00FH, 084H, 0E5H, 000H, 000H, 000H, 0E9H, 0A9H, 000H, 000H
DB 000H, 0F7H, 043H, 014H, 002H, 000H, 000H, 000H, 00FH, 085H
DB 0D3H, 000H, 000H, 000H, 048H, 075H, 051H, 0F7H, 043H, 004H
DB 001H, 000H, 000H, 000H, 00FH, 084H, 0C3H, 000H, 000H, 000H
DB 0E8H, 06BH, 0FFH, 0FFH, 0FFH, 075H, 05AH, 08BH, 001H, 083H
DB 0E0H, 003H, 03CH, 002H, 075H, 032H, 0F7H, 041H, 004H, 001H
DB 000H, 000H, 000H, 00FH, 085H, 081H, 000H, 000H, 000H, 08BH
DB 041H, 014H, 083H, 0E0H, 0FCH, 083H, 063H, 014H, 003H, 08BH
DB 051H, 004H, 009H, 043H, 014H, 083H, 0E2H, 0FCH, 075H, 00BH
DB 083H, 049H, 014H, 002H, 050H, 051H, 0E8H, 0F3H, 0FEH, 0FFH
DB 0FFH, 0E9H, 065H, 0FFH, 0FFH, 0FFH, 0EBH, 07FH, 08BH, 003H
DB 083H, 0E0H, 0FCH, 03BH, 0C1H, 075H, 03FH, 0F7H, 043H, 004H
DB 001H, 000H, 000H, 000H, 08BH, 053H, 018H, 074H, 008H, 083H
DB 0E2H, 00FH, 080H, 0FAH, 003H, 075H, 062H, 08BH, 043H, 004H
DB 083H, 0E0H, 0FCH, 074H, 005H, 083H, 020H, 003H, 009H, 008H
DB 08BH, 003H, 083H, 0E0H, 0FCH, 074H, 007H, 083H, 060H, 004H
DB 003H, 009H, 048H, 004H, 083H, 04BH, 014H, 002H, 051H, 053H
DB 0E8H, 0A9H, 0FEH, 0FFH, 0FFH, 0E9H, 01BH, 0FFH, 0FFH, 0FFH
DB 08BH, 001H, 083H, 0E0H, 003H, 03CH, 002H, 075H, 02EH, 0F7H
DB 041H, 004H, 001H, 000H, 000H, 000H, 074H, 025H, 08BH, 041H
DB 014H, 083H, 0E0H, 0FCH, 083H, 063H, 014H, 003H, 08BH, 053H
DB 004H, 009H, 043H, 014H, 083H, 0E2H, 0FCH, 075H, 00BH, 083H
DB 049H, 014H, 002H, 050H, 051H, 0E8H, 072H, 0FEH, 0FFH, 0FFH
DB 0E9H, 0E4H, 0FEH, 0FFH, 0FFH, 083H, 0C3H, 020H, 03BH, 0FBH
DB 00FH, 087H, 0E2H, 0FEH, 0FFH, 0FFH, 033H, 0C0H, 05FH, 05EH
DB 05BH, 0C9H, 0C2H, 008H, 000H, 055H, 08BH, 0ECH, 053H, 056H
DB 057H, 08BH, 05DH, 008H, 08BH, 075H, 008H, 08BH, 07DH, 00CH
DB 08BH, 003H, 083H, 0E0H, 003H, 083H, 0F8H, 003H, 074H, 010H
DB 083H, 0C3H, 020H, 03BH, 0FBH, 077H, 0EFH, 033H, 0C0H, 05FH
DB 05EH, 05BH, 0C9H, 0C2H, 008H, 000H, 0F7H, 043H, 004H, 001H
DB 000H, 000H, 000H, 074H, 0E7H, 0F7H, 043H, 014H, 002H, 000H
DB 000H, 000H, 075H, 0DEH, 08BH, 04BH, 018H, 083H, 0E1H, 00FH
DB 080H, 0F9H, 003H, 075H, 0D3H, 08BH, 003H, 08BH, 04BH, 014H
DB 083H, 0E0H, 0FCH, 083H, 0E1H, 0FCH, 03BH, 0C1H, 075H, 0C4H
DB 08BH, 043H, 004H, 083H, 0E0H, 0FCH, 074H, 005H, 083H, 020H
DB 003H, 009H, 008H, 08BH, 003H, 083H, 0E0H, 0FCH, 074H, 007H
DB 083H, 060H, 004H, 003H, 009H, 048H, 004H, 083H, 04BH, 014H
DB 002H, 051H, 053H, 0E8H, 0DEH, 0FDH, 0FFH, 0FFH, 0EBH, 09CH
DB 0E8H, 032H, 0EEH, 0FFH, 0FFH, 055H, 08BH, 0ECH, 053H, 056H
DB 057H, 08BH, 05DH, 00CH, 08BH, 075H, 008H, 08BH, 03BH, 0B9H
DB 007H, 000H, 000H, 000H, 0FCH, 08BH, 0C7H, 08BH, 0D6H, 0F3H
DB 0A5H, 083H, 060H, 004H, 003H, 083H, 020H, 003H, 089H, 006H
DB 089H, 017H, 083H, 003H, 020H, 033H, 0C0H, 05FH, 05EH, 05BH
DB 0C9H, 0C2H, 008H, 000H, 0E8H, 0FCH, 0EDH, 0FFH, 0FFH, 055H
DB 08BH, 0ECH, 053H, 056H, 057H, 08BH, 075H, 008H, 08BH, 07EH
DB 01CH, 08BH, 00EH, 08BH, 0D9H, 08BH, 056H, 004H, 083H, 0E1H
DB 0FCH, 074H, 003H, 08BH, 049H, 01CH, 083H, 0E2H, 0FCH, 074H
DB 003H, 08BH, 052H, 01CH, 083H, 0E1H, 0FCH, 083H, 0E2H, 0FCH
DB 009H, 00FH, 009H, 057H, 004H, 083H, 0E3H, 003H, 074H, 02DH
DB 080H, 0FBH, 003H, 08BH, 046H, 014H, 074H, 009H, 0F7H, 046H
DB 004H, 001H, 000H, 000H, 000H, 074H, 01CH, 04BH, 075H, 009H
DB 0F7H, 046H, 014H, 001H, 000H, 000H, 000H, 074H, 010H, 083H
DB 0E0H, 0FCH, 083H, 067H, 014H, 003H, 08BH, 040H, 01CH, 083H
DB 0E0H, 0FCH, 009H, 047H, 014H, 033H, 0C0H, 05FH, 05EH, 05BH
DB 0C9H, 0C2H, 008H, 000H, 055H, 08BH, 0ECH, 053H, 056H, 08BH
DB 05DH, 008H, 0E8H, 04FH, 0FFH, 0FFH, 0FFH, 0FFH, 075H, 00CH
DB 050H, 053H, 0E8H, 0C3H, 0F6H, 0FFH, 0FFH, 00BH, 0C0H, 075H
DB 00DH, 050H, 0E8H, 071H, 0FFH, 0FFH, 0FFH, 050H, 053H, 0E8H
DB 0B2H, 0F6H, 0FFH, 0FFH, 05EH, 05BH, 0C9H, 0C2H, 008H, 000H
DB 055H, 08BH, 0ECH, 053H, 056H, 057H, 08BH, 075H, 008H, 033H
DB 0DBH, 08BH, 07EH, 014H, 083H, 0E7H, 0FCH, 03BH, 0F7H, 074H
DB 075H, 072H, 002H, 087H, 0F7H, 08BH, 006H, 083H, 0E0H, 003H
DB 075H, 005H, 003H, 05EH, 010H, 0EBH, 05EH, 048H, 075H, 017H
DB 0F7H, 046H, 004H, 001H, 000H, 000H, 000H, 074H, 023H, 0F7H
DB 046H, 014H, 001H, 000H, 000H, 000H, 074H, 01AH, 083H, 0C3H
DB 005H, 0EBH, 044H, 0F7H, 046H, 014H, 002H, 000H, 000H, 000H
DB 075H, 03BH, 048H, 075H, 027H, 0F7H, 046H, 004H, 001H, 000H
DB 000H, 000H, 075H, 010H, 0FFH, 076H, 008H, 0E8H, 012H, 0F1H
DB 0FFH, 0FFH, 085H, 0C0H, 074H, 05DH, 003H, 0D8H, 0EBH, 01FH
DB 0F7H, 046H, 014H, 001H, 000H, 000H, 000H, 074H, 013H, 083H
DB 0C3H, 005H, 0EBH, 011H, 0F7H, 046H, 014H, 001H, 000H, 000H
DB 000H, 074H, 005H, 083H, 0C3H, 006H, 0EBH, 003H, 083H, 0C3H
DB 002H, 083H, 0C6H, 020H, 03BH, 0F7H, 072H, 08FH, 08BH, 075H
DB 008H, 083H, 066H, 018H, 0DFH, 03BH, 0F7H, 08BH, 006H, 089H
DB 05EH, 00CH, 072H, 004H, 083H, 04EH, 018H, 020H, 083H, 0E0H
DB 003H, 074H, 011H, 03CH, 001H, 074H, 00DH, 083H, 066H, 014H
DB 0FEH, 083H, 0FBH, 07FH, 00FH, 093H, 0C0H, 008H, 046H, 014H
DB 033H, 0C0H, 05FH, 05EH, 05BH, 0C9H, 0C2H, 004H, 000H, 0B8H
DB 001H, 000H, 000H, 0C0H, 0EBH, 0F2H, 055H, 08BH, 0ECH, 053H
DB 056H, 057H, 08BH, 05DH, 008H, 08BH, 075H, 00CH, 08BH, 003H
DB 083H, 0E0H, 003H, 074H, 047H, 048H, 075H, 01EH, 0F7H, 043H
DB 004H, 001H, 000H, 000H, 000H, 074H, 03BH, 0F7H, 043H, 014H
DB 001H, 000H, 000H, 000H, 074H, 032H, 053H, 0E8H, 00EH, 0FFH
DB 0FFH, 0FFH, 085H, 0C0H, 075H, 031H, 0EBH, 026H, 048H, 075H
DB 009H, 0F7H, 043H, 004H, 001H, 000H, 000H, 000H, 074H, 01AH
DB 08BH, 07BH, 014H, 053H, 0E8H, 0F3H, 0FEH, 0FFH, 0FFH, 085H
DB 0C0H, 08BH, 04BH, 014H, 075H, 013H, 083H, 0E7H, 001H, 083H
DB 0E1H, 001H, 03BH, 0CFH, 075H, 0ACH, 083H, 0C3H, 020H, 03BH
DB 0DEH, 072H, 0ABH, 033H, 0C0H, 05FH, 05EH, 05BH, 0C9H, 0C2H
DB 008H, 000H, 0B8H, 001H, 000H, 000H, 0C0H, 0EBH, 0F2H, 056H
DB 0FCH, 08BH, 04BH, 018H, 083H, 0E1H, 00FH, 080H, 0F9H, 00FH
DB 00FH, 087H, 08AH, 000H, 000H, 000H, 0F7H, 043H, 004H, 001H
DB 000H, 000H, 000H, 075H, 038H, 0F7H, 043H, 014H, 001H, 000H
DB 000H, 000H, 075H, 00BH, 083H, 07BH, 00CH, 07FH, 077H, 072H
DB 08DH, 041H, 070H, 0EBH, 047H, 0C6H, 007H, 00FH, 047H, 08DH
DB 081H, 080H, 000H, 000H, 000H, 0AAH, 0F7H, 043H, 018H, 020H
DB 000H, 000H, 000H, 08BH, 043H, 00CH, 075H, 005H, 083H, 0E8H
DB 006H, 0EBH, 005H, 0F7H, 0D0H, 083H, 0E8H, 005H, 0ABH, 0EBH
DB 045H, 083H, 07BH, 00CH, 07FH, 077H, 043H, 0F7H, 043H, 018H
DB 010H, 000H, 000H, 000H, 074H, 004H, 0C6H, 007H, 067H, 047H
DB 08BH, 043H, 018H, 083H, 0E0H, 00FH, 083H, 0F8H, 004H, 073H
DB 02BH, 005H, 0E0H, 000H, 000H, 000H, 0AAH, 0F7H, 043H, 018H
DB 020H, 000H, 000H, 000H, 08BH, 043H, 00CH, 075H, 004H, 02CH
DB 002H, 0EBH, 010H, 0F7H, 043H, 018H, 010H, 000H, 000H, 000H
DB 00FH, 095H, 0C1H, 002H, 0C1H, 0F6H, 0D0H, 0FEH, 0C8H, 0AAH
DB 033H, 0C0H, 05EH, 0C3H, 0B8H, 001H, 000H, 000H, 0C0H, 0EBH
DB 0F7H, 056H, 0FCH, 0F7H, 043H, 004H, 001H, 000H, 000H, 000H
DB 08BH, 073H, 008H, 075H, 010H, 056H, 0E8H, 083H, 0EFH, 0FFH
DB 0FFH, 085H, 0C0H, 08BH, 0C8H, 074H, 0DFH, 0F3H, 0A4H, 0EBH
DB 0D7H, 0F7H, 043H, 014H, 001H, 000H, 000H, 000H, 08BH, 043H
DB 00CH, 075H, 01EH, 083H, 07BH, 00CH, 07FH, 077H, 0C9H, 0C6H
DB 007H, 0EBH, 047H, 0F7H, 043H, 018H, 020H, 000H, 000H, 000H
DB 075H, 004H, 02CH, 002H, 0EBH, 004H, 0F6H, 0D0H, 0FEH, 0C8H
DB 0AAH, 0EBH, 0ADH, 0C6H, 007H, 0E9H, 047H, 0F7H, 043H, 018H
DB 020H, 000H, 000H, 000H, 075H, 005H, 083H, 0E8H, 005H, 0EBH
DB 005H, 0F7H, 0D0H, 083H, 0E8H, 004H, 0ABH, 0EBH, 093H, 056H
DB 0FCH, 0F7H, 043H, 004H, 001H, 000H, 000H, 000H, 08BH, 073H
DB 008H, 075H, 017H, 056H, 0E8H, 021H, 0EFH, 0FFH, 0FFH, 085H
DB 0C0H, 08BH, 0C8H, 00FH, 084H, 079H, 0FFH, 0FFH, 0FFH, 0F3H
DB 0A4H, 0E9H, 06EH, 0FFH, 0FFH, 0FFH, 0C7H, 007H, 0E8H, 000H
DB 000H, 000H, 047H, 0F7H, 043H, 014H, 001H, 000H, 000H, 000H
DB 075H, 00EH, 08BH, 043H, 010H, 02BH, 0C7H, 083H, 0E8H, 004H
DB 0ABH, 0E9H, 050H, 0FFH, 0FFH, 0FFH, 0F7H, 043H, 018H, 020H
DB 000H, 000H, 000H, 08BH, 043H, 00CH, 075H, 005H, 083H, 0E8H
DB 005H, 0EBH, 005H, 0F7H, 0D0H, 083H, 0E8H, 004H, 0ABH, 0E9H
DB 034H, 0FFH, 0FFH, 0FFH, 055H, 08BH, 0ECH, 053H, 056H, 057H
DB 08BH, 05DH, 008H, 08BH, 07DH, 010H, 0FCH, 083H, 0E3H, 0FCH
DB 08BH, 003H, 08BH, 073H, 008H, 083H, 0E0H, 003H, 089H, 07BH
DB 008H, 075H, 007H, 08BH, 04BH, 010H, 0F3H, 0A4H, 0EBH, 026H
DB 048H, 075H, 007H, 0E8H, 075H, 0FFH, 0FFH, 0FFH, 0EBH, 018H
DB 0F7H, 043H, 014H, 002H, 000H, 000H, 000H, 075H, 013H, 048H
DB 075H, 007H, 0E8H, 000H, 0FFH, 0FFH, 0FFH, 0EBH, 005H, 0E8H
DB 057H, 0FEH, 0FFH, 0FFH, 085H, 0C0H, 075H, 008H, 083H, 0C3H
DB 020H, 039H, 05DH, 00CH, 077H, 0BBH, 05FH, 05EH, 05BH, 0C9H
DB 0C2H, 00CH, 000H, 085H, 084H, 024H, 000H, 0F0H, 0FFH, 0FFH
DB 085H, 084H, 024H, 000H, 0E0H, 0FFH, 0FFH, 0EBH, 000H, 055H
DB 08BH, 0ECH, 081H, 0C4H, 060H, 0F6H, 0FFH, 0FFH, 053H, 056H
DB 0E8H, 066H, 000H, 000H, 000H, 0E8H, 051H, 0EAH, 0FFH, 0FFH
DB 08BH, 045H, 00CH, 08BH, 075H, 010H, 08BH, 05DH, 008H, 089H
DB 045H, 0FCH, 089H, 075H, 0F8H, 050H, 053H, 0E8H, 085H, 0FBH
DB 0FFH, 0FFH, 08DH, 045H, 0FCH, 050H, 053H, 08DH, 085H, 060H
DB 0F6H, 0FFH, 0FFH, 050H, 0E8H, 07AH, 0F9H, 0FFH, 0FFH, 085H
DB 0C0H, 075H, 03BH, 08DH, 045H, 0F8H, 050H, 053H, 0E8H, 087H
DB 0FCH, 0FFH, 0FFH, 085H, 0C0H, 075H, 02DH, 0FFH, 075H, 0F8H
DB 056H, 0E8H, 023H, 0FAH, 0FFH, 0FFH, 085H, 0C0H, 075H, 020H
DB 0FFH, 075H, 0F8H, 056H, 0E8H, 05FH, 0FDH, 0FFH, 0FFH, 085H
DB 0C0H, 075H, 013H, 0FFH, 075H, 014H, 0FFH, 075H, 0F8H, 056H
DB 0E8H, 023H, 0FFH, 0FFH, 0FFH, 0EBH, 005H, 0E8H, 0E9H, 0E9H
DB 0FFH, 0FFH, 0E8H, 0FFH, 0E9H, 0FFH, 0FFH, 05EH, 05BH, 0C9H
DB 0C2H, 010H, 000H
; ~~~~~~~~~~~~~~~~~~~~~~~~ 0x166F ~~~~~~~~~~~~~~~~~~~~~~~~~~~